from PIL import Image
from torchvision.transforms.functional import to_tensor
import torch
import matplotlib.pyplot as plt

def load_image(fname: str) -> torch.tensor:
    img = Image.open(fname)
    # Convert to black and white
    img_grey = img.convert("L")
    # Convert to torch tensor and flatten channel dimension
    data = to_tensor(img_grey).squeeze(0)
    return data

def show_image(image: torch.tensor):
    plt.imshow(image, cmap='gray')
    plt.show()
